package cn.facade.pojo;

import java.util.Map;

/**
 * 带业务参数的模板消息
 */
public class BusTemplateMessageDTO extends TemplateMessageDTO 
{
    /**
     * 业务类型
     */
    private String busType;
    /**
     * 业务id
     */
    private String busId;

    public BusTemplateMessageDTO(){

    }

    /**
     * 构造 带业务参数的模板消息
     * @param fromUser
     * @param toUser
     * @param title
     * @param templateParam
     * @param templateCode
     * @param busType
     * @param busId
     */
    public BusTemplateMessageDTO(String fromUser, String toUser, String title, Map<String, String> templateParam, String templateCode, String busType, String busId){
        super(fromUser, toUser, title, templateParam, templateCode);
        this.busId = busId;
        this.busType = busType;
    }
    /**
	 * @return the busType
	 */
	public String getBusType() {
		return busType;
	}

	/**
	 * @param busType the busType to set
	 */
	public void setBusType(String busType) {
		this.busType = busType;
	}

	/**
	 * @return the busId
	 */
	public String getBusId() {
		return busId;
	}

	/**
	 * @param busId the busId to set
	 */
	public void setBusId(String busId) {
		this.busId = busId;
	}	
}
